Updates a category.
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/categories/{categoryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"parentId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sortNumber": 123,
"name": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/categories/{categoryId}"
payload = {
"parentId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sortNumber": 123,
"name": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
parentId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
sortNumber: 123,
name: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/categories/{categoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"categoryId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Item
Updates a category.
Updates a category.
PATCH
/
v2
/
categories
/
{categoryId}
Updates a category.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
application/json
Request parameters
Response
The category was successfully updated.
Updates a category. - Response
The ID of the updated category.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?
⌘I